Endpoint Groups
Storage
Storage credentials and external location configuration for object storage access.
List external locationsGET
/external-locations
Operation ID
listExternalLocationsQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
429 |
Client error |
500 |
Server error |
Create external locationPOST
/external-locations
Creates a new external location and configures DuckDB with the associated credential. Catalog registrations are managed separately; creating a location does not attach or create a DuckLake catalog.
Operation ID
createExternalLocationRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get external locationGET
/external-locations/{locationName}
Operation ID
getExternalLocationPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
locationName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update external locationPATCH
/external-locations/{locationName}
Operation ID
updateExternalLocationPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
locationName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete external locationDELETE
/external-locations/{locationName}
Operation ID
deleteExternalLocationPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
locationName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
List storage credentialsGET
/storage-credentials
Operation ID
listStorageCredentialsQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
429 |
Client error |
500 |
Server error |
Create storage credentialPOST
/storage-credentials
Creates a reusable storage credential that can be referenced by external locations and managed catalogs.
Operation ID
createStorageCredentialRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get storage credentialGET
/storage-credentials/{credentialName}
Operation ID
getStorageCredentialPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
credentialName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update storage credentialPATCH
/storage-credentials/{credentialName}
Operation ID
updateStorageCredentialPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
credentialName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete storage credentialDELETE
/storage-credentials/{credentialName}
Operation ID
deleteStorageCredentialPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
credentialName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |